#!/usr/bin/env python2
# -*- coding: utf-8 -*-
"""
Created on Fri Feb  3 15:17:33 2017

@author: matteozini
"""

import nltk
import random
from nltk.corpus import movie_reviews
from nltk.tokenize import RegexpTokenizer
from stop_words import get_stop_words
from nltk.stem.porter import PorterStemmer
import nltk
import numpy as np
import pandas as pd
import random
import csv
import nltk.classify.util

dataset = pd.read_csv('sentiment dataset.csv')
#corpus creation
corp = []

with open('sentiment dataset.csv') as csvfile:
    reader = csv.DictReader(csvfile)
    for row in reader:
        corp.append((row['Content'], row['label']))
        
documents = []

for (words, category) in corp:
    words_filtered = [e.lower() for e in words.split() if len(e) >= 3] 
    documents.append((words_filtered, category))
    
#rev = documents[:1000]
    
def get_words_in_tweets(documents):
    all_words = []
    for (words, category) in documents:
      all_words.extend(words)
    return all_words
    
def get_word_features(wordlist):
    wordlist = nltk.FreqDist(wordlist)
    word_features = wordlist.keys()
    return word_features

word_features = get_word_features(get_words_in_tweets(documents))

def extract_features(document):
    document_words = set(document)
    features = {}
    for word in word_features:
        features['contains(%s)' % word] = (word in document_words)
    return features
             
training_set = nltk.classify.apply_features(extract_features, documents)
classifier = nltk.NaiveBayesClassifier.train(training_set)
print classifier.show_most_informative_features(500)

           